/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.apilib.vorgang;

import java.time.ZonedDateTime;

public class OzgCloudEingangHeaderTestFactory {

	public static final String REQUEST_ID = OzgCloudVorgangTestFactory.VORGANG_NAME;

	public static final String CREATED_AT_STR = "2023-04-02T15:00:30Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public static final String FORM_ID = "4177";
	public static final String FORM_NAME = OzgCloudVorgangTestFactory.VORGANG_NAME;
	public static final String FORM_ENGINE_NAME = "AFM";

	public static OzgCloudEingangHeader create() {
		return createBuilder().build();
	}

	public static OzgCloudEingangHeader.OzgCloudEingangHeaderBuilder createBuilder() {
		return OzgCloudEingangHeader.builder()
				.requestId(REQUEST_ID)
				.createdAt(CREATED_AT)
				.formId(FORM_ID)
				.formName(FORM_NAME)
				.formEngineName(FORM_ENGINE_NAME);
	}
}
